Bug 206281 - sysutils/rsnapshot: Issue with rsync exit code, problem most likely already solved in upstream rsnapshot 1.4.2
Summary: sysutils/rsnapshot: Issue with rsync exit code, problem most likely already s...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-01-15 01:10 UTC by Patrik Hildingsson
Modified: 2016-02-29 00:10 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (ralfvd)


Attachments
patch to upgrade rsnapshot in ports to rsnapshot 1.4.2 (1.13 KB, patch)
2016-02-28 12:20 UTC, Patrik Hildingsson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Patrik Hildingsson 2016-01-15 01:10:18 UTC
While issuing a backup with rsnapshot 1.4.1 I am met with "[2016-01-15T01:19:07] /usr/local/bin/rsnapshot sync: ERROR: /usr/local/bin/rsync returned 0.09375 while processing /"

However, downgrading to rsnapshot 1.4.0 finishes the same backup without any issues. Several fixes in upstream rsnapshot 1.4.2 addresses issues with rsync exit code. Having the port upgraded to include version 1.4.2 would be appreciated.

FYI lang/perl5-5.20.3_8 is installed on the system. No other perl5 installations present.
Comment 1 Patrik Hildingsson 2016-01-16 23:29:21 UTC
I can confirm that applying the patch in  https://github.com/rsnapshot/rsnapshot/commit/27209563f924a22f510698ea225f53ea52f07cb4#diff-70276296f2bdcc3adb72b3d823d07361 to rsnapshot 1.4.1, effectively upgrading it to 1.4.2 (or rather restoring 1.4.0 behavior) solves the issue I reported in this PR.
Comment 2 Patrik Hildingsson 2016-02-08 21:12:21 UTC
Please do let me know if there is something further I can provide with to help close the issue.
Comment 3 Patrik Hildingsson 2016-02-28 12:20:59 UTC
Created attachment 167509 [details]
patch to upgrade rsnapshot in ports to rsnapshot 1.4.2
Comment 4 commit-hook freebsd_committer 2016-02-29 00:10:25 UTC
A commit references this bug:

Author: amdmi3
Date: Mon Feb 29 00:10:02 UTC 2016
New revision: 409791
URL: https://svnweb.freebsd.org/changeset/ports/409791

Log:
  - Update to 1.4.2
  - While here, fix LICENSE

  PR:		206281
  Submitted by:	patrik@hildingsson.se
  Approved by:	maintainer timeout (ralfvd@gmail.com, 6 weeks)

Changes:
  head/sysutils/rsnapshot/Makefile
  head/sysutils/rsnapshot/distinfo